Last Comment Bug 326555 - [Meta] 0.4 Release
: [Meta] 0.4 Release
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: aaronr
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/
Depends on: 310138 316840 316895 317527 325502 327040
Blocks: 326556
  Show dependency treegraph
 
Reported: 2006-02-09 09:27 PST by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Allan Beaufour 2006-02-09 09:27:44 PST
How about making bugs we want to see in the 0.4 release depend on this bug?
Comment 1 Allan Beaufour 2006-02-09 09:29:06 PST
0.5 things go to bug 326556
Comment 2 Doron Rosenberg (IBM) 2006-02-09 19:29:38 PST
Do we want to set a rough date for 0.4? End of the month?
Comment 3 Allan Beaufour 2006-02-10 00:31:12 PST
(In reply to comment #2)
> Do we want to set a rough date for 0.4? End of the month?

Well, we could start by adding bugs that depend on it. Then I'll give you an estimate :)
Comment 4 aaronr 2006-02-10 11:47:50 PST
(In reply to comment #3)
> (In reply to comment #2)
> > Do we want to set a rough date for 0.4? End of the month?
> 
> Well, we could start by adding bugs that depend on it. Then I'll give you an
> estimate :)
> 

Yeah, we really need to agree on what will be in 0.4 and ship based on when the 'required' function is complete  Which bring us to what is 'required'.  I definitely think the copy rebuild bug should be in 0.4 (bug 316895) and the bug with us getting "Multiple defined model item property on element" error on a rebuild (bug 310138) should also be in 0.4.  So adding those to the dependency list.  If I can get some uninterrupted days to sit and do patches, I could have those done in a week.  Probably less.

Comment 5 alexander :surkov 2006-02-10 18:55:57 PST
I'd pretty like to see xbl'zed repeat (bug 306247) in the release.
Comment 6 Allan Beaufour 2006-02-13 03:29:15 PST
(In reply to comment #5)
> I'd pretty like to see xbl'zed repeat (bug 306247) in the release.

My opinion is that we should close any bugs that are close to be finshed now, and relase as early as possible. Bug 306247 should be pushed to 0.5 (at least).
Comment 7 Allan Beaufour 2006-02-13 12:31:02 PST
Hmm, bug 325502 will kill upgrades for everybody but Linux users :( I think we should block on that.
Comment 8 aaronr 2006-02-17 18:46:32 PST
adding 317527 to the list since the patch is ready and been reviewed.  I just need to check it in.
Comment 9 Charles Brunet 2006-02-22 08:30:23 PST
What about bug 326452?
Comment 10 aaronr 2006-02-22 11:34:11 PST
(In reply to comment #9)
> What about bug 326452?
> 

If there is a patch ready to go by then, otherwise would likely be pushed to 0.5 unless it is really holding you up.  Do you need it quickly?  Does it have to be on the branch for you or can you use the trunk nightlies once it is fixed on the trunk?
Comment 11 Allan Beaufour 2006-02-22 12:32:55 PST
(In reply to comment #10)
> (In reply to comment #9)
> > What about bug 326452?
> > 
> 
> If there is a patch ready to go by then, otherwise would likely be pushed to
> 0.5 unless it is really holding you up.  Do you need it quickly?  Does it have
> to be on the branch for you or can you use the trunk nightlies once it is fixed
> on the trunk?

My view is that _nothing_ should delay 0.4 now, except bug 316895. Close, wrap, and ship.

But we should be better at releasing more often, and publish release dates.
Comment 12 Charles Brunet 2006-02-22 12:49:32 PST
(In reply to comment #10)
> Do you need it quickly?  Does it have
> to be on the branch for you or can you use the trunk nightlies once it is fixed
> on the trunk?
> 
Well, I can wait. I agree that quick releases of XForms would be great. I just suggested it because it seems to be a "big" bug. Last week, I tried to use the latest Mac OS X fr localized build, but DeerPark crashed each time I loaded a page containing XForms, so I returned to Firefox.

Note You need to log in before you can comment on or make changes to this bug.